Configurable live-sheet field catalog and saved layout
curl --request GET \
--url https://api.pineyard.ai/campaigns/{id}/sheet/configuration \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/campaigns/{id}/sheet/configuration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/campaigns/{id}/sheet/configuration"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"legacy": true,
"source": "GENERATED",
"sheetGid": 123,
"sheetTitle": "<string>",
"matchColumn": "<string>",
"configuration": {
"version": 1,
"columns": [
{
"key": "<string>",
"label": "<string>"
}
],
"layoutLocked": true,
"filters": {},
"filterViewId": 123,
"knownColumnKeys": [
"<string>"
]
},
"catalog": [
{
"key": "<string>",
"label": "<string>",
"render": "text",
"selected": true,
"available": true,
"group": "Identity",
"attachedWritable": true
}
]
}Live sheet
Configurable live-sheet field catalog and saved layout
GET
/
campaigns
/
{id}
/
sheet
/
configuration
Configurable live-sheet field catalog and saved layout
curl --request GET \
--url https://api.pineyard.ai/campaigns/{id}/sheet/configuration \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/campaigns/{id}/sheet/configuration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/campaigns/{id}/sheet/configuration"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"legacy": true,
"source": "GENERATED",
"sheetGid": 123,
"sheetTitle": "<string>",
"matchColumn": "<string>",
"configuration": {
"version": 1,
"columns": [
{
"key": "<string>",
"label": "<string>"
}
],
"layoutLocked": true,
"filters": {},
"filterViewId": 123,
"knownColumnKeys": [
"<string>"
]
},
"catalog": [
{
"key": "<string>",
"label": "<string>",
"render": "text",
"selected": true,
"available": true,
"group": "Identity",
"attachedWritable": true
}
]
}Required scope:
intel.view
Requires a plan that includes business intelligence (basic tier). Otherwise the request is refused; see Errors.
Authorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.

